#!/bin/python3

import argparse
from archive_commands import add_archive_parser
from render_command import add_render_parser
from deploy.deploy import add_deploy_command


def main():
    parser = argparse.ArgumentParser()

    # Top Level Subcommands
    subparsers = parser.add_subparsers(dest='command',
                                       required=True)

    # Archive : Picture Library Management
    add_archive_parser(subparsers)

    # Render : Create static site
    add_render_parser(subparsers)

    # Deploy
    add_deploy_command(subparsers)

    # Run
    args = parser.parse_args()
    args.func(args)


if __name__ == "__main__":
    main()
